Subject: Re: [nfsv4] [VER 01] draft-ietf-nfsv4-rfc5664bis-01

From: "Halevy, Benny" <[email-masked]>
Date: Mon, 2 May 2011 15:26:08 -0400

Boaz, I noticed one nit - your email address in the authors' address section
is wrong (it's mine for some reason, probably copy+paste...)

Spencer, considering the breadth of the required changes, does
it make sense to submit these as errata to RFC5664,
publish a new I-D that will be clearer to the reader, or both?

Benny 

-----Original Message-----
From: [email-masked] on behalf of Boaz Harrosh
Sent: Fri 2011-04-29 13:11
To: Halevy, Benny; Welch, Brent; open-osd; nfsv4 list
Cc: Andros, Rich
Subject: [nfsv4] [VER 01] draft-ietf-nfsv4-rfc5664bis-01

I'm Sending in the revised pnfs-objects RFC with the most important fixes needed for a
more final/correct draft.

Attached is the draft-ietf-nfsv4-rfc5664bis-01.txt file. It incorporates My fixes
to the maths, and Benny's review.
[As reply to this mail I'll send the .diff file of -01.txt from the previous -00.txt,
 for easy review]

I have also published the rfc git tree on open-osd.org website. The *master* branch
is still on rfc5664bis-00 version. Checkout the *rfc5664bis-01* for this version.
It is all in gitweb here:
http://git.open-osd.org/gitweb.cgi?p=ietf-rfc5664.git;a=shortlog;h=refs/heads/rfc5664bis-01
The git URL is:
git clone git://git.open-osd.org/ietf-rfc5664.git

I will move master to the new branch only after Brent Welch's review! Brent?
(You can edit the txt directly and send me the .diff from the original version, I can
 easily transfer the changes to the xml.tmpl file. Though now it is easy to change the
 xml.tmpl directly and even compile it, by git cloning the above tree and running make)

These are the changes added to the *rfc5664bis-01* branch:

commit b8c1feb836c186830500994cc2339fba4663ff5b
Author: Boaz Harrosh <[email-masked]>
Date:   Fri Apr 29 00:33:25 2011 +0300

    01: draft-ietf-nfsv4-rfc5664bis-01 output files
    
    modified after the new version 01 change:
       draft-ietf-nfsv4-rfc5664bis.html
       draft-ietf-nfsv4-rfc5664bis.txt
       draft-ietf-nfsv4-rfc5664bis.x
    
    Signed-off-by: Boaz Harrosh <[email-masked]>

commit fe81d532f702d527972ccce8b2c60e330ecea3d4
Author: Boaz Harrosh <[email-masked]>
Date:   Fri Feb 18 17:52:03 2011 -0800

    01: Fixes to the striping and Raid Math
    
    The raid4/5/6 maths was totally out of wak. Fix it.
    Add comment about raid rotation starting on a group boundary.
    Actually explain better the rotating raid6 that we do.
    Add reference to two raid6 papers.
    
    Increment to version 01
    
    Signed-off-by: Benny Halevy <[email-masked]>
    Signed-off-by: Boaz Harrosh <[email-masked]>

commit 3ebeda56bbaf7b850343b5fe24fdb2583ca13bf1
Author: Boaz Harrosh <[email-masked]>
Date:   Fri Apr 29 10:52:47 2011 +0300

    Change version release policy and git usage
    
    Rename rfc5664bis-00.xml.tmpl => rfc5664bis.xml.tmpl
    
    Change Makefile and file names so there is no longer any
    file-names renaming when incrementing a version.
    
    All files have their base -rfc5664bis.XXX name in git, Incrementing
    of the version number at Makefile.info will insert the version into
    files (as before) and the Makefile will also produce
    -rfc5664bis-$VER.{txt,html} for convenience of sending them via email,
    with the version attached to the name.
    
    Added -rfc5664bis.html to the git because I will reference it from
    the open-osd.org website. It will be displayed directly from git.
    
    Added -rfc5664bis.x -rfc5664bis.h rfc5664bis_xdr.c to git. Even though
    they are output files they might be used directly from gitweb without
    the need for the xml2rfc tool-chain.
    
    Removed *.xml output files from git. All other target files have
    usage other then during the make process, Not so the *.xml files.
    
    Add a .gitignore file, so git will not complain about above
    -rfc5664bis-$VER.{txt,html} and *.xml output files.
    
    Signed-off-by: Boaz Harrosh <[email-masked]>

commit 0a515925fe6c6bd8f35b25240e82c8cedfed010f
Author: Boaz Harrosh <[email-masked]>
Date:   Fri Apr 29 10:51:38 2011 +0300

    xmlrfc: Revert back to the version that works
    
    Our rfc xml files are not compateble with xml2rfc-1.35. Revert
    back to xml2rfc-1.34 that works.
    
    Remove the version from the name, change Makefile to directly
    work on the git version
    
    Signed-off-by: Boaz Harrosh <[email-masked]>

commit b7b641054b7fd4da4693049f6cbff63553524bf3
Author: Boaz Harrosh <[email-masked]>
Date:   Tue Apr 26 16:59:49 2011 +0300

    DELETE all obsolete files (They are still available in git)
    
    We have changed version progression policy. From now on we'll do
    'git mv OLD_VER.* NEW_VER.*' and always have a single latest copy
    of the files checked out. Old versions with their old names can
    be checked-out from git history if needed.
    
    Signed-off-by: Boaz Harrosh <[email-masked]>

Cheers
Boaz